Skip to main content
GET
/
v1
/
events
/
{eventId}
/
sponsors
/
{sponsorId}
Get sponsor details
curl --request GET \
  --url https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId} \
  --header 'Authorization: <api-key>'
{
  "kind": "<string>",
  "url": "<string>",
  "id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
  "name": "Acme Corp",
  "title": "Acme's sponsorship",
  "description": "Acme Corp is a leading...",
  "websiteUrl": "https://acme.com",
  "logoUrl": "https://example.com/sponsors/acme_logo.png",
  "email": "sponsorship@acme.com",
  "coverImageUrl": "https://example.com/sponsors/acme_cover.png",
  "tier": {
    "tierId": "tier-gold",
    "tierName": "Gold"
  },
  "booth": {
    "boothId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
    "boothName": "Acme Booth"
  }
}

Authorizations

Authorization
string
header
required

Provide your API key secret in the Authorization header

Path Parameters

eventId
string
required

Event ID

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
sponsorId
string
required

Sponsor ID

Response

Sponsor details retrieved successfully

kind
string
url
string<uri>
id
string<uuid>

Unique ID of the sponsor

Example:

"4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d"

name
string

Sponsor's name

Example:

"Acme Corp"

title
string

Display title for the sponsor

Example:

"Acme's sponsorship"

description
string

Description of the sponsor

Example:

"Acme Corp is a leading..."

websiteUrl
string
Example:

"https://acme.com"

logoUrl
string
Example:

"https://example.com/sponsors/acme_logo.png"

email
string
Example:

"sponsorship@acme.com"

coverImageUrl
string
Example:

"https://example.com/sponsors/acme_cover.png"

tier
object

Sponsorship tier information

booth
object

Reference to sponsor's booth